<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class DemoTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('demos')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'demo.demo.view',
                'name'      => 'View Demo',
            ],
            [
                'slug'      => 'demo.demo.create',
                'name'      => 'Create Demo',
            ],
            [
                'slug'      => 'demo.demo.edit',
                'name'      => 'Update Demo',
            ],
            [
                'slug'      => 'demo.demo.delete',
                'name'      => 'Delete Demo',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'demo.demo.verify',
                'name'      => 'Verify Demo',
            ],
            [
                'slug'      => 'demo.demo.approve',
                'name'      => 'Approve Demo',
            ],
            [
                'slug'      => 'demo.demo.publish',
                'name'      => 'Publish Demo',
            ],
            [
                'slug'      => 'demo.demo.unpublish',
                'name'      => 'Unpublish Demo',
            ],
            [
                'slug'      => 'demo.demo.cancel',
                'name'      => 'Cancel Demo',
            ],
            [
                'slug'      => 'demo.demo.archive',
                'name'      => 'Archive Demo',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/demo/demo',
                'name'        => 'Demo',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/demo/demo',
                'name'        => 'Demo',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'demo',
                'name'        => 'Demo',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Demo',
                'module'    => 'Demo',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'demo.demo.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
