<?php

namespace Litecms\Demo\Workflow;

use Litecms\Demo\Models\Demo;
use Litecms\Demo\Notifications\DemoWorkflow as DemoNotifyer;
use Notification;

class DemoNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Demo $demo
     *
     * @return void
     */
    public function complete(Demo $demo)
    {
        return Notification::send($demo->user, new DemoNotifyer($demo, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Demo $demo
     *
     * @return void
     */
    public function verify(Demo $demo)
    {
        return Notification::send($demo->user, new DemoNotifyer($demo, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Demo $demo
     *
     * @return void
     */
    public function approve(Demo $demo)
    {
        return Notification::send($demo->user, new DemoNotifyer($demo, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Demo $demo
     *
     * @return void
     */
    public function publish(Demo $demo)
    {
        return Notification::send($demo->user, new DemoNotifyer($demo, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Demo $demo
     *
     * @return void
     */
    public function archive(Demo $demo)
    {
        return Notification::send($demo->user, new DemoNotifyer($demo, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Demo $demo
     *
     * @return void
     */
    public function unpublish(Demo $demo)
    {
        return Notification::send($demo->user, new DemoNotifyer($demo, 'unpublish'));;

    }
}
